#### 3.12.4.1 Keeping Quotas in DBM File ¶

To use DBM quota database, GNU Mailutils must be compiled with one of the following command line options: `--with-gdbm`, `--with-berkeley-db`, `--with-ndbm`, `--with-tokyocabinet`, or `--with-kyotocabinet`. Examine the output of `mda --show-config-options`, if not sure.

The quota database should have the following structure:

Key

  Key represents the user name. Special key ‘`DEFAULT`’ means default quota value, i.e. the one to be used if the user is not explicitly listed in the database.

Value

  Mailbox quota for this user. If it is a number, it represents the maximum mailbox size in bytes. A number may optionally be followed by ‘`kb`’ or ‘`mb`’, meaning kilobytes and megabytes, respectively.

  A special value ‘`NONE`’ means no mailbox size limit for this user.

Here is an example of a quota database in text form:

    # Default quota value:
    DEFAULT         5mb

    # Following users have unlimited mailbox size
    root            NONE
    smith           NONE

    # Rest of users
    plog            26214400
    karin           10mB

To use the DBM quota database, specify its absolute name using the `database` configuration statement in the `quota` section, e.g.:

    quota {
      database /etc/mail/quota.db;
    }